[Libreoffice-commits] online.git: 2 commits - loolwsd/autogen.sh loolwsd/configure.ac loolwsd/README
Jan Holesovsky
kendy at collabora.com
Tue Apr 12 08:17:44 UTC 2016
loolwsd/README | 1 +
loolwsd/autogen.sh | 27 +++++++++++++++++++++++++++
loolwsd/configure.ac | 2 ++
3 files changed, 30 insertions(+)
New commits:
commit 280fafe03ce6491b441d41f7a5ea555254d2d1ff
Author: Jan Holesovsky <kendy at collabora.com>
Date: Tue Apr 12 10:09:29 2016 +0200
Add a trivial autogen.sh.
diff --git a/loolwsd/autogen.sh b/loolwsd/autogen.sh
new file mode 100755
index 0000000..bf5655b
--- /dev/null
+++ b/loolwsd/autogen.sh
@@ -0,0 +1,27 @@
+#! /bin/bash
+
+function failed {
+ cat << EOF 1>&2
+
+Result: $1 failed
+
+Please try running the commands from autogen.sh manually, and fix errors.
+EOF
+ exit 1
+}
+
+libtoolize || failed "libtool"
+
+aclocal || failed "aclocal"
+
+autoheader || failed "autoheader"
+
+automake --add-missing || failed "automake"
+
+autoreconf || failed "autoreconf"
+
+cat << EOF
+
+Result: All went OK, please run ./configure (with the appropriate parameters) now.
+
+EOF
commit 3d17f3cc4d697f0a0efbefb95ccf432860a13a57
Author: Jan Holesovsky <kendy at collabora.com>
Date: Tue Apr 12 10:09:10 2016 +0200
Add a missing autoheader call.
diff --git a/loolwsd/README b/loolwsd/README
index e085889..c2ed31c 100644
--- a/loolwsd/README
+++ b/loolwsd/README
@@ -32,6 +32,7 @@ loolwsd uses autoconf/automake, so especially when building from .git
aclocal
automake --add-missing
autoreconf
+ autoheader
and then
diff --git a/loolwsd/configure.ac b/loolwsd/configure.ac
index 373f94d..b33a770 100644
--- a/loolwsd/configure.ac
+++ b/loolwsd/configure.ac
@@ -24,6 +24,8 @@ AC_DEFINE_UNQUOTED([LOOLWSD_VERSION],[["$LOOLWSD_VERSION"]],[LibreOffice On-Line
AC_CONFIG_SRCDIR([LOOLWSD.cpp])
+AC_CONFIG_HEADERS([config.h])
+
# Checks for programs.
AC_PROG_CXX
AC_PROG_CC
More information about the Libreoffice-commits
mailing list